/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casematerials.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Area;

import java.util.Date;

/**
 * 案例-材料Entity
 * @author fgy
 * @version 2018-01-24
 */
public class CaseMaterials extends DataEntity<CaseMaterials> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 材料名称
	private String specification;		// 规格型号
	private String calculateUnit;		// 计量单位
	private String taxPrice;           //材料含税价
	private String price;		// 材料除税价
    private Date useDate;       //价格取用日期（精确到月）
	private String source;       //价格来源
	private String tax;          //税率
	private String material;        //材质
	private String brand;		// 材料品牌
	private String pp;		// 参数性能
	private Area area;		// 厂商/工厂所在地
	private String caseId;		// 案例id
	private String index;

	private String count;		// 采购量
	private String supplier;		// 供应商
	private String linkedman;		// 联系人
	private String mobile;		// 联系电话

	public CaseMaterials() {
		super();
	}

	public CaseMaterials(String id){
		super(id);
	}

	@ExcelField(title="材料名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="材料品牌", align=2, sort=8)
	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}
	
	@ExcelField(title="规格型号", align=2, sort=9)
	public String getSpecification() {
		return specification;
	}

	public void setSpecification(String specification) {
		this.specification = specification;
	}
	
	@ExcelField(title="参数性能", align=2, sort=10)
	public String getPp() {
		return pp;
	}

	public String getTaxPrice() {
		return taxPrice;
	}

	public void setTaxPrice(String taxPrice) {
		this.taxPrice = taxPrice;
	}

	public Date getUseDate() {
		return useDate;
	}

	public void setUseDate(Date useDate) {
		this.useDate = useDate;
	}

	public String getIndex() {
		return index;
	}

	public void setIndex(String index) {
		this.index = index;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public String getTax() {
		return tax;
	}

	public void setTax(String tax) {
		this.tax = tax;
	}

	public String getMaterial() {
		return material;
	}

	public void setMaterial(String material) {
		this.material = material;
	}

	public Area getArea() {
		return area;
	}

	public void setArea(Area area) {
		this.area = area;
	}

	public void setPp(String pp) {
		this.pp = pp;
	}
	
	@ExcelField(title="计量单位", align=2, sort=11)
	public String getCalculateUnit() {
		return calculateUnit;
	}

	public void setCalculateUnit(String calculateUnit) {
		this.calculateUnit = calculateUnit;
	}
	
	@ExcelField(title="材料价格", align=2, sort=12)
	public String getPrice() {
		return price;
	}

	public void setPrice(String price) {
		this.price = price;
	}
	
	@ExcelField(title="采购量", align=2, sort=13)
	public String getCount() {
		return count;
	}

	public void setCount(String count) {
		this.count = count;
	}
	
	@ExcelField(title="供应商", align=2, sort=14)
	public String getSupplier() {
		return supplier;
	}

	public void setSupplier(String supplier) {
		this.supplier = supplier;
	}
	
	@ExcelField(title="联系人", align=2, sort=15)
	public String getLinkedman() {
		return linkedman;
	}

	public void setLinkedman(String linkedman) {
		this.linkedman = linkedman;
	}
	
	@ExcelField(title="联系电话", align=2, sort=16)
	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	
	@ExcelField(title="案例id", align=2, sort=17)
	public String getCaseId() {
		return caseId;
	}

	public void setCaseId(String caseId) {
		this.caseId = caseId;
	}
	
}